#!/bin/bash

###Download Database Genie used in the application From these website

echo "--------------------------"
echo "Downloading the DB used in the application and updates it if outdated"
echo "--------------------------"

URL1="https://drive.google.com/uc?export=download&id=1_AjNHV1E9WkDhHBSDkFnA5L6f_c9zWPB" #link for DatabaseGenie.db
URL2="https://drive.google.com/uc?export=download&id=1RViVHHG6zwdp0awABvWRW9GUL_PZShL3"
$(wget -nv -O downloadedDatabaseGenie.db $URL1)



echo "Checking if the database is up-to-date"
returnIntValue=0

if [ -e ../resources/DatabaseGenie.db  ]
then
	result_check_db=$(sqldiff --schema downloadedDatabaseGenie.db ../resources/DatabaseGenie.db)
	if [ -z "$result_check_db"]
	then
		echo "Result: Already up-to-date"
		echo "Action: Deleting downloaded database"
		rm downloadedDatabaseGenie.db
	else
		echo "Result: Not up-to-date"
		echo "Action: Updating"
		rm ../resources/DatabaseGenie.db
		mv downloadedDatabaseGenie.db ../resources/DatabaseGenie.db
		((returnIntValue++))

	fi
else
	echo "Result: Database not exist"
	echo "Action: Renaming the downloaded database to DatabaseGenie.db"
	returnIntValue=-1
	mv downloadedDatabaseGenie.db ../resources/DatabaseGenie.db
fi

#echo $returnIntValue

echo "--------------------------"
echo "Downloading the test DB"
echo "--------------------------"

$(wget -nv -O downloadedDatabaseGenieTest.db $URL2)

if [ -e ../../../../../../../test/DatabaseGenieTest.db  ]
then
	rm ../../../../../../../test/DatabaseGenieTest.db
fi

mv downloadedDatabaseGenieTest.db ../../../../../../../test/DatabaseGenieTest.db

echo "--------------------------"
echo "Process finished"
echo "--------------------------"
