package be.ac.ulb.infof307.g02;

import be.ac.ulb.infof307.g02.constants.Constants;
import be.ac.ulb.infof307.g02.constants.ConstantsLoader;
import be.ac.ulb.infof307.g02.controllers.ControllerMaster;
import be.ac.ulb.infof307.g02.utils.Utils;
import javafx.application.Application;
import javafx.application.Platform;
import javafx.scene.Scene;
import javafx.scene.layout.StackPane;
import javafx.stage.Stage;

import java.io.IOException;

/**
 * Main application class that loads the constants and launches the application
 */
public class MainApplication extends Application {
    public static void main(String[] args) {
        try {
            ConstantsLoader.loadAllConstants();
            Constants.IN_TEST_MODE = false;
            Utils.setupKeyStore();
            launch(args);
        } catch (IOException e) {
            System.out.println("Couldn't create keystore file. Please check your permissions!");
        }
    }

    @Override
    public void start(Stage stage) {
        Scene scene = new Scene(new StackPane());

        new ControllerMaster(scene);

        stage.setScene(scene);
        stage.setTitle("AutoChef");
        stage.show();
        stage.setOnCloseRequest(event -> Platform.exit());
    }
}
