package be.ac.ulb.infof307.g02.controllers;

/**
 * Parent class for all the controllers
 */
public class Controller {

    protected ControllerMaster master;

    /**
     * Many controllers need to know if the help view is open so that they can de-activate
     * the Help button on the menu. This methods returns whether the help view is open.
     *
     * @return isHelpOpen
     */
    public boolean isHelpOpen() {
        return this.master.isHelpOpen();
    }

    /**
     * Some controllers must enable the help button when the help window is closed or disable
     * the help button when the help is opened. This method is called when the
     * help window is closed or opened, allowing the controller to react to that by
     * overriding this method.
     *
     * @param isHelpOpen boolean to know if the help is open.
     */
    public void onHelpViewStatusChanged(boolean isHelpOpen) {
        // Do nothing by default
    }

}
