package be.ac.ulb.infof307.g02.controllers;

import be.ac.ulb.infof307.g02.models.NutritionalValues;
import be.ac.ulb.infof307.g02.models.NutritionalValuesCalculator;
import be.ac.ulb.infof307.g02.models.ProductAmount;
import be.ac.ulb.infof307.g02.views.NutritionalValueView;
import be.ac.ulb.infof307.g02.views.Popup;

import java.io.IOException;
import java.util.List;

/**
 * Controller of the nutritional values view
 */
public class NutritionalValuesController {

    /**
     * Shows the nutritional value of a product with a certain amount
     *
     * @param productAmount
     */
    public void computerAndShowNutritionalView(ProductAmount productAmount) {
        NutritionalValues nutritionalValues = NutritionalValuesCalculator.computeNutritionalValues(productAmount);
        this.showNutritionalView(nutritionalValues);
    }

    /**
     * Shows the nutritional values
     *
     * @param nutritionalValues
     */
    private void showNutritionalView(NutritionalValues nutritionalValues) {
        try {
            new NutritionalValueView(nutritionalValues);
        } catch (IOException e) {
            Popup.showUnexpectedError();
        }
    }

    /**
     * Shows the nutritional value of a list of productAmounts.
     *
     * @param productAmounts
     */
    public void computeAndShowNutritionalListView(List<ProductAmount> productAmounts) {
        NutritionalValues nutritionalValues = NutritionalValuesCalculator.computeAllNutritionalValues(productAmounts);
        this.showNutritionalView(nutritionalValues);
    }
}
