package be.ac.ulb.infof307.g02.models;

import java.util.ArrayList;
import java.util.List;

/**
 * Represents the best tour found by the BestTourFinder.
 * It contains a list of grocery lists to know what to buy in each shop.
 * It contains a list of positions that has the starting position, the position of each shop in order and the ending position.
 */
public class BestTour {

    /**
     * The grocery lists needed for the best tour, which contain what should be bought at each store
     */
    private final List<GroceryList> groceryLists;

    /**
     * The list of positions for the best tour: the starting position, the position of each shop in the best tour
     * and the ending position.
     */
    private final List<Position> tour;

    public BestTour(List<GroceryList> groceryLists, List<Position> tour) {
        this.groceryLists = groceryLists;
        this.tour = tour;
    }

    public List<GroceryList> getGroceryLists() {
        return new ArrayList<>(this.groceryLists);
    }

    /**
     * Gets the besTour found buy the algorithm
     */
    public List<Position> getTour() {
        return new ArrayList<>(this.tour);
    }
}
