package be.ac.ulb.infof307.g02.models;

/**
 * Enum representing all allowed days, with their name and index.
 */
public enum Day {
    MONDAY("Monday", 0),
    TUESDAY("Tuesday", 1),
    WEDNESDAY("Wednesday", 2),
    THURSDAY("Thursday", 3),
    FRIDAY("Friday", 4),
    SATURDAY("Saturday", 5),
    SUNDAY("Sunday", 6),
    PUBLIC_HOLIDAY("Public Holiday", 7);

    public static final int NUM_DAYS = 8;

    private String name;

    /**
     * The index of the day in a week starting from 0 (monday) to 6 (sunday) + 7 (Public Holiday)
     */
    private int index;

    Day(String name, int index) {
        this.name = name;
        this.index = index;
    }

    public String getName() {
        return this.name;
    }

    public int getIndex() {
        return this.index;
    }


}
