package be.ac.ulb.infof307.g02.models;

import java.util.ArrayList;
import java.util.List;

/**
 * Used to store all the filters' data.
 */
public class FilterData {
    /**
     * The name of a shop
     */
    private final String name;
    /**
     * the maxDistance between the user and the shops
     */
    private final int maxDistance;
    /**
     * The days during which the shops must be open
     */
    private final List<Day> openingDays;
    /**
     * A time during which the shops must be open
     */
    private final Time openingTime;
    /**
     * A list of products the shops must sell
     */
    private final List<Product> productList;

    public FilterData(String name, int maxDistance, List<Day> openingDays, Time openingTime, List<Product> productList) {
        this.name = name;
        this.maxDistance = maxDistance;
        this.openingDays = openingDays;
        this.openingTime = openingTime;
        this.productList = productList;
    }

    public String getName() {
        return this.name;
    }

    public int getMaxDistance() {
        return this.maxDistance;
    }

    public List<Day> getOpeningDays() {
        return new ArrayList<>(this.openingDays);
    }

    public Time getOpeningTime() {
        return this.openingTime;
    }

    public List<Product> getProductList() {
        return new ArrayList<>(this.productList);
    }
}
