package be.ac.ulb.infof307.g02.models;

/**
 * Contains the information for a row in the Results View
 * (used when finding the shops for a product or a grocery list).
 * It has the shop name, the distance to the shop, the price and the AutoChef score.
 */
public class FindShopsResult {

    private final String shopName;
    /**
     * The distance between the user and a shop
     */
    private final double distance;
    /**
     * The price of a grocery list in a shop
     */
    private final double price;
    /**
     * The autoChef score of a shop for a grocery list
     */
    private final double score;

    public FindShopsResult(String shopName, double distance, double price, double score) {
        this.shopName = shopName;
        this.distance = distance;
        this.price = price;
        this.score = score;
    }

    public double getDistance() {
        return this.distance;
    }

    public double getPrice() {
        return this.price;
    }

    public String getShopName() {
        return this.shopName;
    }

    public double getScore() {
        return this.score;
    }
}




