package be.ac.ulb.infof307.g02.models;

/**
 * Represents the nutritional values (proteins, lipids, carbohydrates, calories)
 */
public class NutritionalValues {

    private static final int MIN_VALUE = 0;
    private final double proteins;
    private final double lipids;
    private final double carbohydrates;
    private final double calories;

    public NutritionalValues(double proteins, double lipids, double carbohydrates, double calories) {
        if (proteins < MIN_VALUE || lipids < MIN_VALUE || carbohydrates < MIN_VALUE || calories < MIN_VALUE) {
            throw new IllegalArgumentException("All the values must be >= 0");
        }
        this.proteins = proteins;
        this.lipids = lipids;
        this.carbohydrates = carbohydrates;
        this.calories = calories;
    }

    public double getProteins() {
        return this.proteins;
    }

    public double getLipids() {
        return this.lipids;
    }

    public double getCarbohydrates() {
        return this.carbohydrates;
    }

    public double getCalories() {
        return this.calories;
    }
}
