package be.ac.ulb.infof307.g02.models;

import be.ac.ulb.infof307.g02.exceptions.model.SerializationException;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.ObjectOutputStream;

/**
 * Serializes any Object into a byte array. It is used to insert objects in the
 * database.
 */
public final class Serializer {
    /**
     * Utility class, should not be instantiated
     */
    private Serializer() {
    }

    public static byte[] serialize(Object object) throws SerializationException {
        try {
            ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
            ObjectOutputStream objectOutputStream = new ObjectOutputStream(byteArrayOutputStream);
            objectOutputStream.writeObject(object);
            return byteArrayOutputStream.toByteArray();
        } catch (IOException e) {
            throw new SerializationException("Couldn't serialize the object", e);
        }
    }
}
