package be.ac.ulb.infof307.g02.utils;

import javax.xml.bind.DatatypeConverter;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

/**
 * Makes a secure hash of password
 */
public class HashPassword {

    /**
     * Creates a hash for the given password
     *
     * @param passwordToHash String variable representing the password to hash
     * @return String representing the hashed password
     */
    public static String hash(String passwordToHash) {
        MessageDigest messageDigest;
        try {
            messageDigest = MessageDigest.getInstance("SHA-512");
            messageDigest.update(passwordToHash.getBytes());
            byte[] digest = messageDigest.digest();
            String hashedPassword = DatatypeConverter.printHexBinary(digest);
            return hashedPassword;
        } catch (NoSuchAlgorithmException e) {
            //Will never appear
            return "";
        }
    }

}
