package be.ac.ulb.infof307.g02.views;

import javafx.stage.FileChooser;
import javafx.stage.Stage;

import java.io.File;

/**
 * View used to allow the user to select a file
 */
public class FileSelectorView {

    /**
     * Default folder
     */
    private static final String USER_HOME = "user.home";
    /**
     * Textual description for the file extension filter
     */
    private static final String DESCRIPTION_FILE_EXTENSION = "CSV files (*.csv)";
    /**
     * File extension showed in the FileSelector
     */
    private static final String FILE_EXTENSION = "*.csv";
    /**
     * Little file chooser window
     */
    private FileChooser fileChooser;
    private Stage stage;

    /**
     * Creates a little file chooser window only showing csv files
     */
    public FileSelectorView() {
        this.fileChooser = new FileChooser();
        //Set initial directory
        this.fileChooser.setInitialDirectory(new File(System.getProperty(USER_HOME)));
        // Set extension filter
        FileChooser.ExtensionFilter extFilter = new FileChooser.ExtensionFilter(DESCRIPTION_FILE_EXTENSION, FILE_EXTENSION);
        this.fileChooser.getExtensionFilters().add(extFilter);
        this.stage = new Stage();

    }

    /**
     * Gets the selected file from the file chooser, in which we will save data
     */
    public File getSelectedFileToSave() {
        return this.fileChooser.showSaveDialog(this.stage);
    }

    /**
     * Gets the selected file from the file chooser, which we'll open
     */
    public File getSelectedFileToOpen() {
        return fileChooser.showOpenDialog(this.stage);
    }
}
