package be.ac.ulb.infof307.g02.views;

import be.ac.ulb.infof307.g02.constants.Constants;
import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.scene.control.MenuBar;
import javafx.scene.control.MenuItem;
import javafx.scene.layout.HBox;

import java.io.IOException;


/**
 * Handles the menu on the top right corner of the windows.
 */
public class MenuComponent {

    /**
     * The fxml resource for the menu
     */
    private static final String MENU_FXML = "menu.fxml";
    @FXML
    private MenuItem helpButton;
    private ViewWithMenu parent;


    /**
     * Adds the menu button to the correct place in the view.
     *
     * @param parent ViewWithMenu
     * @param placeHolder
     */
    public MenuComponent(ViewWithMenu parent, HBox placeHolder) {
        this.parent = parent;

        FXMLLoader loader = new FXMLLoader(getClass().getResource(Constants.FXML_FOLDER_PATH + MENU_FXML));
        loader.setController(this);

        MenuBar menuBar = null;
        try {
            menuBar = loader.load();
        } catch (IOException e) {
            // Will never happen because the resource is always available.
        }
        placeHolder.getChildren().add(menuBar);
    }

    public void onMyGroceryListsClick() {
        this.parent.onMyGroceryListsClick();

    }

    public void onMyRecipesClick() {
        this.parent.onMyRecipesClick();

    }

    public void onEditProfileClick() {
        this.parent.onEditProfileClick();

    }

    public void onHelpClick() {
        this.parent.onHelpClick();

    }

    public void onLogoutClick() {
        this.parent.onLogoutClick();

    }

    public void onShowMapClick() {
        this.parent.onShowMapClick();
    }

    public void enableHelpButton() {
        this.helpButton.setDisable(false);
    }

    public void disableHelpButton() {
        this.helpButton.setDisable(true);
    }

    public MenuItem getHelpButton() {
        return this.helpButton;
    }
}
