package be.ac.ulb.infof307.g02.views;

import javafx.scene.control.Spinner;

public class ViewUtils {
    /**
     * Uses to deal with edge cases in spinner (ex: above max value, below min value) and to update
     * the spinner's internal value when the focus is lost.
     *
     * @param spinner
     */
    public static void fixSpinner(Spinner<Double> spinner) {
        spinner.focusedProperty().addListener((observable, oldValue, newValue) -> {
            if (!newValue) {
                try {
                    // Updates spinner value when the focus is lost
                    spinner.increment(0);
                } catch (RuntimeException e) {
                    // If the value is invalid, set to 0
                    spinner.getValueFactory().setValue(0.0);
                }
            }
        });
    }
}
