# Java Style Guide

## Nommage
  * Package 

  Les noms de packages sont écrits en lettre minuscule collée.

  * Classe
  
  Le nom d'une classe est écrit en UpperCamelCase.

  * Méthode
  
  Le nom d'une méthode est écrit en lowerCamelCase.

  * Constante

  Une constant est écrit tout en majuscule.

  * Variable

  Une Variable est écrit en lowerCamelCase.

  Exemple:
  ```java
  package testunitaire; 
  public MaClasse{
      final int CONSTANCE;
      int maVariable;

      private maMethode (int monParametre, int monSecondParametre){}; 
  }; 
  ```

# Commentaire

Pour les commentaires d'une ligne, nous utiliserons // ou bien si plus 
d'une ligne /\*...\*/

# Javadoc

Javadoc est la documentation créer à partir de commentaires formatés 
pour décrire les méthodes, classes et variables.

Un tag Javadoc commence par un @ . Le tableau suivant présente certains des tags les plus courants.

| Tag         | Description |
| ------------- |:-------------:|
| @author     | 	Nom du développeur |
| @deprecated | Marque la méthode comme dépréciée. Certains IDEs créent un avertissement à la compilation si la méthode est appelée.|
| @exception  |	Documente une exception lancée par une méthode — voir aussi @throws.     |
| @param	 | Définit un paramètre de méthode. Requis pour chaque paramètre. |
| @return	 | Documente la valeur de retour. Ce tag ne devrait pas être employé pour des constructeurs ou des méthodes définies avec un type de retour void. |
| @see	 | Documente une association à une autre méthode ou classe. |
| @since	 | Précise à quelle version de la SDK/JDK une méthode a été ajoutée à la classe. |
| @throws	 | Documente une exception lancée par une méthode. Un synonyme pour @exception disponible depuis Javadoc 1.2. |
| @version	 | Donne la version d'une classe ou d'une méthode. |

Exemple: 
```java

//Exemple de javadoc pour classe
/**
 * Classe de gestion d'étudiants
 * @author John Doe
 * @version 2.6
 */
 public class Etudiant{
   ...
 }
 
//Exemple de javadoc pour Méthode
/**
 * Valide un mouvement de jeu d'Echecs.
 * @param leDepuisFile   File de la pièce à déplacer
 * @param leDepuisRangee Rangée de la pièce à déplacer
 * @param leVersFile     File de la case de destination 
 * @param leVersRangee   Rangée de la case de destination 
 * @return vrai (true) si le mouvement d'échec est valide ou faux (false) sinon
 */
 boolean estUnDeplacementValide(int leDepuisFile, int leDepuisRangee, int leVersFile, int leVersRangee){
     ...
 }
```
Les exemples et tableau ci-dessus ont été pris de la page [Wikipédia](https://fr.wikipedia.org/wiki/Javadoc) sur Javadoc.

# Structure
Pour le placement des **{}**, on fera comme ce-ci:
  Exemple:
  ```java
  maMethode (int monParametre, int monSecondParametre){
  }; // idem concernant les if, while, for, do while, switch et classe.
  ```
  Aussi le nombre maximal de caractère par ligne sera de 80. 
