package tests.database;

import be.ac.ulb.infof307.g02.database.DatabaseConnectionSingleton;
import be.ac.ulb.infof307.g02.database.ProductDB;
import be.ac.ulb.infof307.g02.exceptions.database.DatabaseException;
import be.ac.ulb.infof307.g02.exceptions.database.NoProductFoundException;
import be.ac.ulb.infof307.g02.exceptions.database.ProductAlreadyExistsException;
import be.ac.ulb.infof307.g02.models.Product;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import tests.BaseTest;

import static org.junit.Assert.assertEquals;

public class ProductDBTest extends BaseTest {

    private static ProductDB db;

    @Before
    public void setup() throws Exception {
        db = new ProductDB(DatabaseConnectionSingleton.getDatabaseConnection());
        db.emptyAllTables();
    }

    @After
    public void tearDown() throws Exception {
        db.emptyAllTables();
    }

    @Test
    public void addProduct_validProduct_productInserted() throws ProductAlreadyExistsException, DatabaseException, NoProductFoundException {
        Product prod = new Product("banana", Product.Unit.KG, 0.3, 1.1, 23);

        db.addProduct(prod);

        Product resFromDB = db.getProduct("banana");
        assertEquals(resFromDB.getName(), prod.getName());
        assertEquals(resFromDB.getUnit(), prod.getUnit());
    }

}
