package tests.models;

import be.ac.ulb.infof307.g02.models.AutoChefScoreCalculator;
import org.junit.Test;

import java.util.ArrayList;
import java.util.List;

import static org.junit.Assert.assertEquals;

public class AutoChefScoreCalculatorTest {


    @Test
    public void computeScore_oneShop_10Score() {

        List<Double> priceList = new ArrayList<Double>() {{
            add(5.0);
        }};

        List<Double> distancesList = new ArrayList<Double>() {{
            add(10.0);
        }};

        List<Double> res = AutoChefScoreCalculator.computeScore(priceList, distancesList);

        assertEquals(1, res.size());
        assertEquals(res.get(0), (Double) 10.0);

    }

    @Test
    public void computeScore_2Shops_10and0Score() {

        List<Double> priceList = new ArrayList<Double>() {{
            add(5.0);
            add(10.0);
        }};

        List<Double> distancesList = new ArrayList<Double>() {{
            add(10.0);
            add(20.0);
        }};

        List<Double> res = AutoChefScoreCalculator.computeScore(priceList, distancesList);

        assertEquals(2, res.size());
        assertEquals(res.get(0), (Double) 10.0);
        assertEquals(res.get(1), (Double) 0.0);

    }

    @Test
    public void computeScore_2equalsShops_10ScoresForBoth() {

        List<Double> priceList = new ArrayList<Double>() {{
            add(10.0);
            add(10.0);
        }};

        List<Double> distancesList = new ArrayList<Double>() {{
            add(10.0);
            add(10.0);
        }};

        List<Double> res = AutoChefScoreCalculator.computeScore(priceList, distancesList);

        assertEquals(2, res.size());
        assertEquals(res.get(0), (Double) 10.0);
        assertEquals(res.get(1), (Double) 10.0);

    }
}