package tests.models;

import be.ac.ulb.infof307.g02.models.NutritionalValues;
import org.junit.Test;
import tests.BaseTest;

public class NutritionalValuesTest extends BaseTest {

    @Test
    public void constructor_validValues_Success() {
        NutritionalValues values = new NutritionalValues(50, 50, 50, 50);
    }

    @Test(expected = IllegalArgumentException.class)
    public void constructor_invalidProteins_Fail() {
        NutritionalValues values = new NutritionalValues(-50, 50, 50, 50);
    }

    @Test(expected = IllegalArgumentException.class)
    public void constructor_invalidLipids_Fail() {
        NutritionalValues values = new NutritionalValues(50, -50, 50, 50);
    }

    @Test(expected = IllegalArgumentException.class)
    public void constructor_invalidCarbohydrates_Fail() {
        NutritionalValues values = new NutritionalValues(50, 50, -50, 50);
    }

    @Test(expected = IllegalArgumentException.class)
    public void constructor_invalidCalories_Fail() {
        NutritionalValues values = new NutritionalValues(50, 50, 50, -50);
    }
}
