package tests.models;

import be.ac.ulb.infof307.g02.models.Product;
import be.ac.ulb.infof307.g02.utils.Utils;
import org.junit.Test;
import tests.BaseTest;

import static org.junit.Assert.assertTrue;

public class ProductTest extends BaseTest {

    @Test
    public void constructor_ValidValues_CorrectCreation() {
        Product product = new Product("Lait", Product.Unit.LITER, 1, 3.4, 5);
    }

    @Test(expected = IllegalArgumentException.class)
    public void constructor_EmptyName_ThrowsException() {
        Product product = new Product("", Product.Unit.LITER, 0, 0, 0);
    }

    @Test(expected = IllegalArgumentException.class)
    public void constructor_NameWithSpaceOnly_ThrowsException() {
        Product product = new Product("     ", Product.Unit.LITER, 0, 0, 0);
    }

    @Test
    public void is_computeMacroAmountPer100g_Good_Value() {
        double result = Product.computeMacroAmountPer100g(0.150, 23);
        double expected = 34.5;
        assertTrue(Utils.equalsDouble(expected, result));
    }

    @Test
    public void is_computeNumberOfCalories_Good_Value() {
        double result = Product.computeNumberOfCalories(1.5, 0.7, 32);
        double expected = 140.3;
        assertTrue(Utils.equalsDouble(expected, result));
    }
}

