package tests.models;

import be.ac.ulb.infof307.g02.models.Day;
import be.ac.ulb.infof307.g02.models.Schedule;
import be.ac.ulb.infof307.g02.models.Time;
import be.ac.ulb.infof307.g02.models.TimeSlot;
import org.junit.Test;
import tests.BaseTest;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertTrue;

public class ScheduleTest extends BaseTest {

    // Constructor
    @Test
    public void constructor_correctCreation() {
        new Schedule();
    }

    // isEmpty

    @Test
    public void isEmpty_emptySchedule_true() {
        Schedule schedule = new Schedule();
        assertTrue(schedule.isEmpty());
    }

    @Test
    public void isEmpty_notEmptySchedule_false() {
        Schedule schedule = new Schedule();
        schedule.addTimeSlot(new TimeSlot(new Time(8, 0), new Time(10, 0)), Day.MONDAY);
        assertTrue(!schedule.isEmpty());
    }

    // addTimeSlot

    @Test
    public void addTimeSlot_correctValues_timeSlotAdded() {
        Schedule schedule = new Schedule();
        TimeSlot timeSlot = new TimeSlot(new Time(8, 0), new Time(10, 0));
        schedule.addTimeSlot(timeSlot, Day.MONDAY);
        assertEquals(schedule.getDayTimeSlots(Day.MONDAY).size(), 1);
        assertEquals(schedule.getDayTimeSlots(Day.MONDAY).get(0), timeSlot);
    }

    @Test(expected = IllegalArgumentException.class)
    public void addTimeSlot_timeCrossing_throwExceptions() {
        Schedule schedule = new Schedule();
        schedule.addTimeSlot(new TimeSlot(new Time(12, 0), new Time(20, 30)), Day.MONDAY);
        schedule.addTimeSlot(new TimeSlot(new Time(10, 15), new Time(13, 0)), Day.MONDAY);
    }
}
