package tests.models;

import be.ac.ulb.infof307.g02.models.Time;
import org.junit.Test;

import static junit.framework.TestCase.assertTrue;

public class TimeTest {
    @Test(expected = IllegalArgumentException.class)
    public void constructor_hourGreaterThan23_throwException() {
        new Time(24, 0);
    }

    @Test(expected = IllegalArgumentException.class)
    public void constructor_HourLessThan0_throwException() {
        new Time(-5, 0);
    }

    @Test(expected = IllegalArgumentException.class)
    public void constructor_minGreaterThan59_throwException() {
        new Time(8, 80);
    }

    @Test(expected = IllegalArgumentException.class)
    public void constructor_minLessThan0_throwException() {
        new Time(8, -123);
    }

    @Test
    public void isAfterThan_10h00_8h00_True() {
        Time time1 = new Time(8, 0);
        Time time2 = new Time(10, 0);
        boolean isAfter = time2.isAfter(time1);

        assertTrue(isAfter);

    }
}
